local myMod = ...

-- Apply building asset processor
myMod:registerAssetProcessor("models/stones.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
myMod:registerAssetProcessor("models/wooden_logs.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

-- Register all building parts and their properties
myMod:dofile("scripts/building_settings.lua")

-- Register stones
myMod:register({
	DataType = "BUILDING",
	Id = "DECO_STONES",
	Name = "MY_MOD_DECO_STONES",
	Description = "MY_MOD_DECO_STONES_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "DECO_STONES_PART" }
		}
	}
})

myMod:register({
	DataType = "BUILDING_PART",
	Id = "DECO_STONES_PART",
	Description = "",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_STONES"
	},
	BuildingZone = { 2, 2 },
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 2 },
			{ Resource = "STONE", Quantity = 3 }
		}
	}
})

-- Register wood
myMod:register({
	DataType = "BUILDING",
	Id = "DECO_WOOD",
	Name = "MY_MOD_DECO_WOOD",
	Description = "MY_MOD_DECO_WOOD_DESC",
	BuildingType = "DECORATION",
	BuildingPartSetList = {
		{ Name = "GENERAL",
		BuildingPartList = { "DECO_WOOD_PART" }
		}
	}
})

myMod:register({
	DataType = "BUILDING_PART",
	Id = "DECO_WOOD_PART",
	Description = "",
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = "PREFAB_DECO_WOOD"
	},
	BuildingZone = { 2, 2 },
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 2 },
			{ Resource = "WOOD", Quantity = 6 }
		}
	}
})